Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLDetailInfo

    java.lang.Object
      jet.api.BLDetailInfo

    public class BLDetailInfo

extends java.lang.Object

Copyright (c) 1998, Jinfonet Software, Inc. All rights reserved.

Constructor Summary
`BLDetailInfo(java.lang.String refMappingName, java.lang.String name)` Constructor.Creates a JReport BusinessLogic Detail

Method Summary
`java.lang.String` | `getDescription()` Gets description of Detail
`java.lang.String` | `getDisplayName()` Gets display name of Detail
`java.lang.String` | `getName()` Gets name of Detail
`java.lang.String` | `getPrompt()` Gets prompt text of Detail
`java.lang.String` | `getRefMappingName()` Gets refered resource name of Detail
`void` | `setDescription(java.lang.String description)` Sets description of Detail
`void` | `setDisplayName(java.lang.String displayName)` Sets display name of Detail
`void` | `setName(java.lang.String name)` Sets name of Detail
`void` | `setPrompt(java.lang.String prompt)` Sets prompt text of Detail
`void` | `setRefMappingName(java.lang.String mappingName)` Sets refered resource name of Detail

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLDetailInfo

    public BLDetailInfo(java.lang.String refMappingName,
                        java.lang.String name)

  Constructor.Creates a JReport BusinessLogic Detail

  Parameters:
    `name` - Indicates Detail name.
    `refMappingName` - Indicates field resouece name refered by Detail

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets description of Detail

  Parameters:
    `description` - the description of Detail.

### getDescription

    public java.lang.String getDescription()

  Gets description of Detail

  Returns:
    the description of Detail.

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Sets prompt text of Detail

  Parameters:
    `prompt` - the prompt text of Detail.

### getPrompt

    public java.lang.String getPrompt()

  Gets prompt text of Detail

  Returns:
    prompt text of Detail.

### setName

    public void setName(java.lang.String name)

  Sets name of Detail

  Parameters:
    `name` - the name of Detail.

### getName

    public java.lang.String getName()

  Gets name of Detail

  Returns:
    the name of Detail.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets display name of Detail

  Parameters:
    `displayname` - the display name of Detail.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets display name of Detail

  Returns:
    the display name of Detail.

### setRefMappingName

    public void setRefMappingName(java.lang.String mappingName)

  Sets refered resource name of Detail

  Parameters:
    `mappingName` - the refered resource name of Detail.

### getRefMappingName

    public java.lang.String getRefMappingName()

  Gets refered resource name of Detail

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD